Package org.drinkless.tdlib

# Class TdApi.BackgroundTypePattern

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BackgroundType
org.drinkless.tdlib.TdApi.BackgroundTypePattern

Enclosing class:
  `TdApi`

public static class TdApi.BackgroundTypePattern extends TdApi.BackgroundType
A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.BackgroundType

  `TdApi.BackgroundType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.BackgroundFill`
  `fill`
  Fill of the background.
  `int`
  `intensity`
  Intensity of the pattern when it is shown above the filled background; 0-100.
  `boolean`
  `isInverted`
  True, if the background fill must be applied only to the pattern itself.
  `boolean`
  `isMoving`
  True, if the background needs to be slightly moved when device is tilted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackgroundTypePattern()`
  A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.
  `BackgroundTypePattern(TdApi.BackgroundFill fill, int intensity, boolean isInverted, boolean isMoving)`
  A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fill

    public TdApi.BackgroundFill fill
    Fill of the background.

  - ### intensity

    public int intensity
    Intensity of the pattern when it is shown above the filled background; 0-100.

  - ### isInverted

    public boolean isInverted
    True, if the background fill must be applied only to the pattern itself. All other pixels are black in this case. For dark themes only.

  - ### isMoving

    public boolean isMoving
    True, if the background needs to be slightly moved when device is tilted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BackgroundTypePattern

    public BackgroundTypePattern()
    A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.

  - ### BackgroundTypePattern

    public BackgroundTypePattern(TdApi.BackgroundFill fill, int intensity, boolean isInverted, boolean isMoving)
    A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.
    Parameters:
      `fill` - Fill of the background.
      `intensity` - Intensity of the pattern when it is shown above the filled background; 0-100.
      `isInverted` - True, if the background fill must be applied only to the pattern itself. All other pixels are black in this case. For dark themes only.
      `isMoving` - True, if the background needs to be slightly moved when device is tilted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.BackgroundType`
    Returns:
      this.CONSTRUCTOR